
export const mobData = [   
						{ id: "minecraft:armadillo", item: "tcs_mbh:armadillo_head", dropRate: 50, display: "§6Armadillo Head§f" }, 
						{ id: "minecraft:axolotl", item: "tcs_mbh:axolotl_head", dropRate: 50, display: "§bAxolotl Head§f" }, 
						{ id: "minecraft:blaze", item: "tcs_mbh:blaze_head", dropRate: 30, display: "§eBlaze Head§f" }, 
						{ id: "minecraft:breeze", item: "tcs_mbh:breeze_head", dropRate: 50, display: "§bBreeze Head§f" },
						{ id: "minecraft:chicken", item: "tcs_mbh:chicken_head", dropRate: 30, display: "§fChicken Head§f" },
						{ id: "minecraft:creaking", item: "tcs_mbh:creaking_head", dropRate: 100, display: "§nCreaking Head§f" },
						{ id: "minecraft:creeper", item: "tcs_mbh:creeper_head", dropRate: 30, display: "§aCreeper Head§f" }, 
						{ id: "minecraft:ender_dragon", item: "tcs_mbh:ender_dragon_head", dropRate: 100, display: "§dEnder Dragon Head§f" }, 
						{ id: "minecraft:enderman", item: "tcs_mbh:enderman_head", dropRate: 50, display: "§dEnderman Head§f" }, 
						{ id: "minecraft:evocation_illager", item: "tcs_mbh:evoker_head", dropRate: 50, display: "§7Evoker Head§f" }, 
						{ id: "minecraft:ghast", item: "tcs_mbh:ghast_head", dropRate: 50, display: "§fGhast Head§f" },
						{ id: "minecraft:goat", item: "tcs_mbh:goat_head", dropRate: 30, display: "§fGoat Head§f" },
						{ id: "minecraft:guardian", item: "tcs_mbh:guardian_head", dropRate: 100, display: "§6Guardian Head§f" }, 
						{ id: "minecraft:elder_guardian", item: "tcs_mbh:guardian_head", dropRate: 100, display: "§6Guardian Head§f" }, 
						{ id: "minecraft:horse", item: "tcs_mbh:horse_head", dropRate: 30, display: "§nHorse Head§f" }, 
						{ id: "minecraft:husk", item: "tcs_mbh:husk_head", dropRate: 30, display: "§eHusk Head§f" }, 
						{ id: "minecraft:iron_golem", item: "tcs_mbh:iron_golem_head", dropRate: 50, display: "§7Iron Golem Head§f" },
						{ id: "minecraft:llama", item: "tcs_mbh:llama_head", dropRate: 50, display: "§fLlama Head§f" }, 
						{ id: "minecraft:magma_cube", item: "tcs_mbh:magma_cube_head", dropRate: 30, display: "§cMagma Cube Head§f" },
						{ id: "minecraft:panda", item: "tcs_mbh:panda_head", dropRate: 50, display: "§fPanda Head§f" }, 
						{ id: "minecraft:phantom", item: "tcs_mbh:phantom_head", dropRate: 50, display: "§bPhantom Head§f" }, 
						{ id: "minecraft:piglin_brute", item: "tcs_mbh:piglin_brute_head", dropRate: 30, display: "§6Piglin Brute Head§f" },
						{ id: "minecraft:pufferfish", item: "tcs_mbh:pufferfish_head", dropRate: 50, display: "§gPufferfish Head§f" }, 
						{ id: "minecraft:rabbit", item: "tcs_mbh:rabbit_head", dropRate: 30, display: "§fRabbit Head§f" }, 
						{ id: "minecraft:ravager", item: "tcs_mbh:ravager_head", dropRate: 100, display: "§nRavager Head§f" }, 
						{ id: "minecraft:shulker", item: "tcs_mbh:shulker_head", dropRate: 100, display: "§dShulker Head§f"}, 
						{ id: "minecraft:sniffer", item: "tcs_mbh:sniffer_head", dropRate: 50, display: "§eSniffer Head§f" }, 
						{ id: "minecraft:snow_golem", item: "tcs_mbh:snow_golem_head", dropRate: 50, display: "§fSnow Gollem Head§f" }, 
						{ id: "minecraft:spider", item: "tcs_mbh:spider_head", dropRate: 30, display: "§7Spider Head§f" }, 
						{ id: "minecraft:squid", item: "tcs_mbh:squid_head", dropRate: 30, display: "§7Squid Head§f" }, 
						{ id: "minecraft:vex", item: "tcs_mbh:vex_head", dropRate: 50, display: "§bVex Head§f" }, 
						{ id: "minecraft:villager_v2", item: "tcs_mbh:villager_head", dropRate: 100, display: "§6Villager Head§f" }, 
						{ id: "minecraft:warden", item: "tcs_mbh:warden_head", dropRate: 100, display: "§3Warden Head§f" }, 
						{ id: "minecraft:witch", item: "tcs_mbh:witch_head", dropRate: 50, display: "§dWitch Head§f" }, 
						{ id: "minecraft:wither", item: "tcs_mbh:wither_head", dropRate: 100, display: "§fWither Head§f" }, 
						{ id: "minecraft:wither_skeleton", item: "tcs_mbh:wither_skeleton_head", dropRate: 30, display: "§7Wither Skeleton Head§f" }
					];

export function getMobData(id)
{
	if (id === undefined)
		return undefined;
	let entityIndex = mobData.findIndex((element) => element.id === id || element.item === id);
	if (entityIndex === -1)
		return undefined;
	return mobData[entityIndex];
}
					
export const itemPassiveData = [
						{ id: "tcs_mbh:armadillo_head", effect: { id: "tcs_mbh:reflect", level: 30 } }, 
						{ id: "tcs_mbh:axolotl_head", effect: { id: "water_breathing", inWater: true }, effect2: {id: "night_vision", inWater: true } }, 
						{ id: "tcs_mbh:blaze_head", effect: { id: "fire_resistance" } }, 
						{ id: "tcs_mbh:breeze_head", effect: { id: "jump_boost", level: 2} },
						{ id: "tcs_mbh:chicken_head", effect: {id: "slow_falling", level: 2} },
						{ id: "tcs_mbh:creaking_head", areaEffect: { id: "darkness", radius: 6, time: 5, level: 1} },
						{ id: "tcs_mbh:creeper_head", protect: { id: "tcs_mbh:blast" } },
						{ id: "tcs_mbh:ender_dragon_head", effect: {id: "tcs_mbh:flight"} }, 
						{ id: "tcs_mbh:enderman_head", effect: {id: "night_vision" } }, 
						{ id: "tcs_mbh:evoker_head", effect: { id: "tcs_mbh:fangs", level: 35 }}, 
						{ id: "tcs_mbh:ghast_head", effect: { id: "fire_resistance" } },
						{ id: "tcs_mbh:goat_head", effect: { id: "jump_boost", level: 1 }, protect: { id: "tcs_mbh:fall" } },
						{ id: "tcs_mbh:guardian_head", effect: { id: "water_breathing", inWater: true }, protect: { id: "mining_fatigue", inWater: true } },
						{ id: "tcs_mbh:horse_head", effect: { id: "speed", level: 1 }, effect2: { id: "jump_boost", level: 1 } }, 
						{ id: "tcs_mbh:husk_head", hitEffect: { id: "hunger", level: 2, time: 3 }, hitSound: "tcs_mbh:husk_hit" }, 
						{ id: "tcs_mbh:iron_golem_head", hitEffect: { id: "knockback", level: 1 }, hitSound: "tcs_mbh:iron_golem_hit" },
						{ id: "tcs_mbh:llama_head", effect: {id: "saturation", level: 1} },  //!
						{ id: "tcs_mbh:magma_cube_head", effect: { id: "fire_resistance" } },
						{ id: "tcs_mbh:panda_head", effect: { id: "health_boost", level: 5 } },
						{ id: "tcs_mbh:phantom_head", effect: { id: "tcs_mbh:flight" } }, 
						{ id: "tcs_mbh:piglin_brute_head", effect: { id: "tcs_mbh:loot", chance: 20, item: "gold_ingot" }  },
						{ id: "tcs_mbh:pufferfish_head", effect: { id: "water_breathing", inWater: true }, protect: { id: "poison", inWater: true } }, 
						{ id: "tcs_mbh:rabbit_head", effect: { id: "speed", level: 1} }, 
						{ id: "tcs_mbh:ravager_head", effect: { id: "health_boost", level: 5 } }, 
						{ id: "tcs_mbh:shulker_head" }, 
						{ id: "tcs_mbh:sniffer_head", effect: {id: "haste", level: 1} }, 
						{ id: "tcs_mbh:snow_golem_head", areaEffect: { id: "slowness", radius: 6, time: 3, level: 2} }, 
						{ id: "tcs_mbh:spider_head", hitEffect: { id: "poison", level: 1, time: 3 } }, 
						{ id: "tcs_mbh:squid_head", effect: { id: "water_breathing", inWater: true }, protect: { id: "blindness", inWater: true } }, 
						{ id: "tcs_mbh:vex_head", effect: {id: "slow_falling", level: 1}, effect2: { id: "jump_boost", level: 1} }, 
						{ id: "tcs_mbh:villager_head", effect: { id: "tcs_mbh:loot", chance: 20, item: "emerald" }} , 
						{ id: "tcs_mbh:warden_head", areaEffect: { id: "darkness", radius: 6, time: 5, level: 1} }, 
						{ id: "tcs_mbh:witch_head", protect: { id: "poison" }, protect2: { id: "hunger" } }, 
						{ id: "tcs_mbh:wither_head", protect: { id: "wither" }, hitEffect: { id: "weakness", level: 1, time: 3 } } , 
						{ id: "tcs_mbh:wither_skeleton_head", protect: { id: "wither" } }
					];


export function getItemPassiveData(id)
{
	if (id === undefined)
		return undefined;
	let entityIndex = itemPassiveData.findIndex((element) => element.id === id);
	if (entityIndex === -1)
		return undefined;
	return itemPassiveData[entityIndex];
}
					
export const itemActionData = [
	{ id: "tcs_mbh:armadillo_head", durability: 300, cd: 45, useCost: 20, effect: { id: "resistance", level: 3, time: 30 }, particle: "tcs_mbh:armadillo_resistance" }, 
	{ id: "tcs_mbh:axolotl_head", durability: 900, cd: 10, useCost: 20, effect: { id: "regeneration", level: 1, time: 10}, particle: "tcs_mbh:axolotl_regenerate", particle2: "tcs_mbh:axolotl_regenerate2" }, 
	{ id: "tcs_mbh:blaze_head", durability: 600, cd: 6, useCost: 10, projectile: "tcs_mbh:blaze_fireball" }, 
	{ id: "tcs_mbh:breeze_head", durability: 900, cd: 6, useCost: 20, projectile: "tcs_mbh:breeze_charge" },
	{ id: "tcs_mbh:chicken_head", durability: 300, cd: 6, useCost: 20, projectile: "tcs_mbh:explosive_egg" },
	{ id: "tcs_mbh:creaking_head", durability: 1200, cd: 20, useCost: 50, areaEffect: { id: "knockback", radius: 5, level: 2, damage: 9}, particle: "tcs_mbh:creaking_roar" },
	{ id: "tcs_mbh:creeper_head", durability: 1200, cd: 10, useCost: 20, action: {id: "tcs_mbh:creeper_blast"}, delayedParticle: "tcs_mbh:creeper_blast" },
	{ id: "tcs_mbh:ender_dragon_head", durability: 1500, cd: 15, useCost: 40, projectile: "tcs_mbh:ender_dragon_fireball" }, 
	{ id: "tcs_mbh:enderman_head", durability: 600, cd: 5, useCost: 50, projectile: "tcs_mbh:tp_orb" }, 
	{ id: "tcs_mbh:evoker_head", durability: 600, cd: 60, useCost: 30, summon: { id: "tcs_mbh:vex", count: 3, tame: true }, particle: "tcs_mbh:evoker_summon1", particle2: "tcs_mbh:evoker_summon2" }, 
	{ id: "tcs_mbh:ghast_head", durability: 900, cd: 15, useCost: 10, projectile: "tcs_mbh:ghast_fireball" },
	{ id: "tcs_mbh:goat_head", durability: 600, cd: 40, useCost: 20, effect: { id: "jump_boost", level: 3, time: 30 }, particle: "tcs_mbh:goat_speed" },
	{ id: "tcs_mbh:guardian_head", durability: 1200, cd: 10, useCost: 30, projectile: "tcs_mbh:guardian_laser" },
	{ id: "tcs_mbh:horse_head", durability: 600, cd: 30, useCost: 30, summon: { id: "horse", tame: true }, particle: "tcs_mbh:horse_spawn" }, 
	{ id: "tcs_mbh:husk_head", durability: 300, cd: 90, useCost: 50, summon: { id: "tcs_mbh:husk", count: 4, tame: true } }, 
	{ id: "tcs_mbh:iron_golem_head", durability: 900, cd: 60, useCost: 30, effect: { id: "strength", level: 2, time: 30 }, effect2: { id: "resistance", level: 4, time: 30 }, particle: "tcs_mbh:iron_golem_boost" },
	{ id: "tcs_mbh:llama_head", durability: 600, cd: 7, useCost: 20, projectile: "tcs_mbh:llama_spit" }, 
	{ id: "tcs_mbh:magma_cube_head", durability: 300, cd: 15, useCost: 20, areaEffect: { id: "fire", radius: 3, time: 4}, particle: "tcs_mbh:magma_cube_fire_blast", particle: "tcs_mbh:magma_cube_fire_burst", particle2: "tcs_mbh:magma_cube_smoke" },
	{ id: "tcs_mbh:panda_head", durability: 300, cd: 15, useCost: 50, areaEffect: { id: "knockback", radius: 7, level: 2, damage: 4}, particle: "tcs_mbh:panda_head_ability2"}, //!
	{ id: "tcs_mbh:phantom_head", durability: 1200, cd: 7, useCost: 20, action: { id: "tcs_mbh:phantom_boost"} }, 
	{ id: "tcs_mbh:piglin_brute_head", durability: 900, cd: 60, useCost: 30, effect: { id: "strength", level: 2, time: 20 }, effect2: { id: "fire_resistance", time: 20 }, particle: "tcs_mbh:piglin_brute_fire_resistance" },
	{ id: "tcs_mbh:pufferfish_head", durability: 600, cd: 6, useCost: 20, areaEffect: { id: "poison", radius: 4, level: 2, time: 3}, particle: "tcs_mbh:pufferfish_spikes" },
	{ id: "tcs_mbh:rabbit_head", durability: 300, cd: 30, useCost: 20, effect: { id: "speed", level: 3, time: 15}, particle: "tcs_mbh:rabbit_speed_action" }, 
	{ id: "tcs_mbh:ravager_head", durability: 1200, cd: 9, useCost: 30, areaEffect: { id: "knockback", radius: 5, level: 2, damage: 4}, particle: "tcs_mbh:ravager_roar" }, 
	{ id: "tcs_mbh:shulker_head", durability: 600, cd: 9, useCost: 10, projectile: "tcs_mbh:shulker_bullet" }, 
	{ id: "tcs_mbh:sniffer_head", durability: 900, cd: 20, useCost: 50, projectile: "tcs_mbh:sniffer_spirit" }, 
	{ id: "tcs_mbh:snow_golem_head", durability: 300, cd: 6, useCost: 5, projectile: "tcs_mbh:snowball" }, 
	{ id: "tcs_mbh:spider_head", durability: 300, cd: 6, useCost: 10, projectile: "tcs_mbh:spider_web" }, 
	{ id: "tcs_mbh:squid_head", durability: 600, cd: 9, useCost: 20, areaEffect: { id: "blindness", radius: 4, time: 3, level: 1}, particle: "tcs_mbh:squid_cloud1", particle2: "tcs_mbh:squid_cloud2" }, 
	{ id: "tcs_mbh:vex_head", durability: 900, cd: 30, useCost: 30, effect: {id: "slow_falling", level: 2, time: 20}, effect2: { id: "jump_boost", level: 2, time: 20}, effect3: { id: "strength", level: 1, time: 20 } }, 
	{ id: "tcs_mbh:villager_head", durability: 600, cd: 60, useCost: 30, effect: { id: "village_hero", time: 30}, particle: "tcs_mbh:villager_village_hero" }, 
	{ id: "tcs_mbh:warden_head", durability: 1500, cd: 9, useCost: 30, projectile: "tcs_mbh:warden_blast" }, 
	{ id: "tcs_mbh:witch_head", durability: 300, cd: 15, useCost: 20, effect: { id: "regeneration", level: 1, time: 10}, particle: "tcs_mbh:witch_circle2", particle2: "tcs_mbh:witch_circle_shine2", particle3: "tcs_mbh:witch_dust" }, 
	{ id: "tcs_mbh:wither_head", durability: 1500, cd: 10, useCost: 50, projectile: "tcs_mbh:wither_skull" } , 
	{ id: "tcs_mbh:wither_skeleton_head", durability: 900, cd: 10, useCost: 20, areaEffect: { id: "wither", radius: 4, time: 3, level: 2}, particle: "tcs_mbh:wither_fog1", particle2: "tcs_mbh:wither_fog2" }
];

export function getItemActionData(id)
{
	if (id === undefined)
		return undefined;
	let entityIndex = itemActionData.findIndex((element) => element.id === id);
	if (entityIndex === -1)
		return undefined;
	return itemActionData[entityIndex];
}

export const projectileHitSounds = [
	{ id: "tcs_mbh:blaze_fireball", sound: "tcs_mbh:blaze_projectile_hit" },
	{ id: "tcs_mbh:breeze_charge", sound: "tcs_mbh:breeze_projectile_hit" },
	{ id: "tcs_mbh:explosive_egg", sound: "tcs_mbh:chicken_projectile_hit" },
	{ id: "tcs_mbh:ender_dragon_fireball", sound: "tcs_mbh:ender_dragon_projectile_hit" },
	{ id: "tcs_mbh:explosive_egg", sound: "tcs_mbh:chicken_projectile_hit" },
	{ id: "tcs_mbh:ghast_fireball", sound: "tcs_mbh:ghast_projectile_hit" },
	{ id: "tcs_mbh:guardian_laser", sound: "tcs_mbh:guardian_projectile_hit" },
	{ id: "tcs_mbh:llama_spit", sound: "tcs_mbh:llama_projectile_hit" },
	{ id: "tcs_mbh:shulker_bullet", sound: "mob.shulker.ambient" },
	{ id: "tcs_mbh:snowball", sound: "tcs_mbh:snow_golem_projectile_hit" },
	{ id: "tcs_mbh:spider_web", sound: "tcs_mbh:spider_projectile_hit" },
	{ id: "tcs_mbh:wither_skull", sound: "tcs_mbh:wither_projectile_hit" }
];

export function getProjectileSound(id)
{
	if (id === undefined)
		return undefined;
	let soundIndex = projectileHitSounds.findIndex((element) => element.id === id);
	if (soundIndex === -1)
		return undefined;
	return projectileHitSounds[soundIndex].sound;
}


